Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           libotr
Summary:	library providing off-the-record messaging
URL:		http://www.cypherpunks.ca/otr/
License:	LGPL
Version:	3.2.0
Release:	1
#Epoch:		0
Group:		System/Libraries	
BuildRoot:      %{_tmppath}/%{name}-buildroot
# Sources:
Source:		%{name}-%{version}.tar.gz
# Patches:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel

%description
Off-the-Record (OTR) Messaging allows you to have private conversations over instant messaging by providing:

*Encryption
No one else can read your instant messages.
*Authentication
You are assured the correspondent is who you think it is.
*Deniability
The messages you send do not have digital signatures that are checkable by a third party. Anyone can forge messages after a conversation to make them look like they came from you. However, during a conversation, your correspondent is assured the messages he sees are authentic and unmodified. 
*Perfect forward secrecy
If you lose control of your private keys, no previous conversation is compromised.

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
	    --mandir=%_mandir \
	    --disable-debug
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/otr_*
%{_libdir}/libotr.so.*
%{_mandir}

%files devel
%defattr(-,root,root)
%{_includedir}/libotr/
%{_libdir}/libotr.so
%{_libdir}/libotr.a   
%{_libdir}/libotr.la
%{_pkgconfig}   
%{_datadir}/aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.0-1
- initial CCux package release
